# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           oct2spec
Version:        1.0.1
Release:        2%{?dist}
Summary:        Python script to generate Octave package spec file

Group:          Development/Languages
License:        GPLv3+
URL:            https://fedorahosted.org/oct2spec/
Source0:        https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       wget fedora-packager

%description
oct2spec is a small python tool that generates spec file for Octave packages.
It can work from a package name, URL, or a tarball.
oct2spec provides oct2rpm which generates rpm for Octave packages using the 
oct2spec API.


%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} 

%clean
rm -rf %{buildroot}

%files 
#-f installed_files2
%defattr(-,root,root,-)
%doc README LICENSE CHANGELOG
%{python_sitelib}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/oct2rpm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/oct2rpm.1.gz

%changelog
* Thu Apr 7 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-2
- Fix typo
- Use name macro in Source0

* Wed Apr 6 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.1-1
- Update to 1.0.1 - add obsoletes to spec template

* Wed Mar 30 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.0-1
- Initial release
